/* Copyright (C) 2008, The Perl Foundation. */
/* $Id: /mirror/trunk/config/auto/opengl/opengl.in 27066 2008-04-20T16:40:22.815433Z infinoid  $ */

#include <stdio.h>
#include <stdlib.h>

#ifdef __APPLE_CC__
#include <GLUT/glut.h>
#else
#include <GL/glut.h>
#endif


int main(int argc, char *argv[])
{
    if(glutInit == NULL) {
        printf("glutInit is NULL\n");
        return EXIT_FAILURE;
    }

#ifdef OPENGLUT
    printf("%d OpenGLUT\n",    GLUT_API_VERSION);
#elif  FREEGLUT
    printf("%d freeglut\n",    GLUT_API_VERSION);
#elif  GLUT_MACOSX_IMPLEMENTATION
    printf("%d MacOSX_GLUT\n", GLUT_API_VERSION);
#else
    printf("%d GLUT\n",        GLUT_API_VERSION);
#endif

    return EXIT_SUCCESS;
}
